# Retrieve a Transaction

Retrieves the details of a Transaction by ID.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "v2.money_management.transaction")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `amount` (object)
  The amount of the Transaction.

  - `amount.currency` (enum)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

  - `amount.value` (integer)
    A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

- `balance_impact` (object)
  The delta to the FinancialAccount’s balance. The balance_impact for the Transaction is equal to sum of its TransactionEntries that have `effective_at`s in the past.

  - `balance_impact.available` (object)
    Impact to the available balance.

    - `balance_impact.available.currency` (enum)
      Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

    - `balance_impact.available.value` (integer)
      A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

  - `balance_impact.inbound_pending` (object)
    Impact to the inbound_pending balance.

    - `balance_impact.inbound_pending.currency` (enum)
      Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

    - `balance_impact.inbound_pending.value` (integer)
      A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

  - `balance_impact.outbound_pending` (object)
    Impact to the outbound_pending balance.

    - `balance_impact.outbound_pending.currency` (enum)
      Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

    - `balance_impact.outbound_pending.value` (integer)
      A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

- `category` (enum)
  A descriptive category used to classify the Transaction.
Possible enum values:
  - `adjustment`
    This Transaction is the main Transaction for an Adjustment.

  - `currency_conversion`
    This Transaction is for a currency conversion. There will be two Transactions per conversion (one per currency).

  - `inbound_transfer`
    This Transaction is the main Transaction for an InboundTransfer.

  - `outbound_payment`
    This Transaction is the main Transaction for an OutboundPayment.

  - `outbound_transfer`
    This Transaction is the main Transaction for an OutboundTransfer.

  - `received_credit`
    This Transaction is the main Transaction for a ReceivedCredit.

  - `received_debit`
    This Transaction is the main Transaction for a ReceivedDebit.

  - `return`
    This Transaction is for the return of funds, such as when an OutboundPayment is returned by the recipient’s bank.

  - `stripe_fee`
    This Transaction is for a fee assessed by Stripe.

- `counterparty` (object, nullable)
  Counterparty to this Transaction.

  - `counterparty.name` (string, nullable)
    Name of the counterparty.

- `created` (timestamp)
  Time at which the object was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.

- `description` (string, nullable)
  Description of this Transaction. When applicable, the description is copied from the Flow object at the time of transaction creation.

- `financial_account` (string)
  Indicates the FinancialAccount affected by this Transaction.

- `flow` (object, nullable)
  Details about the Flow object that created the Transaction.

  - `flow.adjustment` (string, nullable)
    If applicable, the ID of the Adjustment that created this Transaction.

  - `flow.currency_conversion` (string, nullable)
    In the future, this will be the ID of the currency conversion that created this Transaction. For now, this field is always null.

  - `flow.fee_transaction` (string, nullable)
    If applicable, the ID of the FeeTransaction that created this Transaction.

  - `flow.inbound_transfer` (string, nullable)
    If applicable, the ID of the InboundTransfer that created this Transaction.

  - `flow.outbound_payment` (string, nullable)
    If applicable, the ID of the OutboundPayment that created this Transaction.

  - `flow.outbound_transfer` (string, nullable)
    If applicable, the ID of the OutboundTransfer that created this Transaction.

  - `flow.received_credit` (string, nullable)
    If applicable, the ID of the ReceivedCredit that created this Transaction.

  - `flow.received_debit` (string, nullable)
    If applicable, the ID of the ReceivedDebit that created this Transaction.

  - `flow.type` (enum)
    Type of the flow that created the Transaction. The field matching this value will contain the ID of the flow.
Possible enum values:
    - `adjustment`
      This Transaction was created by an Adjustment.

    - `currency_conversion`
      This Transaction was created by a currency conversion.

    - `fee_transaction`
      This Transaction was created by a FeeTransaction.

    - `inbound_transfer`
      This Transaction was created by an InboundTransfer.

    - `outbound_payment`
      This Transaction was created by an OutboundPayment.

    - `outbound_transfer`
      This Transaction was created by an OutboundTransfer.

    - `received_credit`
      This Transaction was created by a ReceivedCredit.

    - `received_debit`
      This Transaction was created by a ReceivedDebit.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `status` (enum)
  Current status of the Transaction. A Transaction is `pending` if either `balance_impact.inbound_pending` or `balance_impact.outbound_pending` is non-zero. A Transaction is `posted` if only `balance_impact.available` is non-zero. A Transaction is `void` if there is no balance impact. `posted` and `void` are terminal states, and no additional entries will be added to the Transaction.
Possible enum values:
  - `pending`
    This Transaction’s balance impact is still pending (non-zero impact to either `inbound_pending` or `outbound_pending`). Further entries may still be added that move funds between availability states.

  - `posted`
    This Transaction’s balance impact is fully posted (only `available` will be non-zero). This status is final and no further entries will be added.

  - `void`
    This Transaction’s balance impact has been voided (all values are zero). This status is final and no further entries will be added.

- `status_transitions` (object)
  Timestamps for when the Transaction transitioned to a particular status.

  - `status_transitions.posted_at` (timestamp, nullable)
    The time at which the Transaction became posted. Only present if status == posted.

  - `status_transitions.void_at` (timestamp, nullable)
    The time at which the Transaction became void. Only present if status == void.

## Error Codes

| HTTP status code | Code      | Description                |
| ---------------- | --------- | -------------------------- |
| 404              | not_found | The resource wasn’t found. |

```curl
curl https://api.stripe.com/v2/money_management/transactions/trxn_65NygiBHKcUPGUI8A5Q16NoTesLDSQ1IgNPigisRKq0GAq \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-03-25.preview"
```

### Response

```json
{
  "id": "trxn_65NygiBHKcUPGUI8A5Q16NoTesLDSQ1IgNPigisRKq0GAq",
  "object": "v2.money_management.transaction",
  "amount": {
    "value": -1000,
    "currency": "usd"
  },
  "balance_impact": {
    "available": {
      "value": -1000,
      "currency": "usd"
    },
    "inbound_pending": {
      "value": 0,
      "currency": "usd"
    },
    "outbound_pending": {
      "value": 0,
      "currency": "usd"
    }
  },
  "category": "outbound_transfer",
  "created": "2023-03-24T22:06:37.343Z",
  "livemode": true,
  "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
  "flow": {
    "outbound_transfer": "obt_65NygiAXfaPmQ5ev3oz16NoTesLDSQ1IgNPigisRKq07Fg",
    "type": "outbound_transfer"
  },
  "status": "posted",
  "status_transitions": {
    "posted_at": "2023-03-24T22:06:35.409Z",
    "void_at": null
  }
}
```
